OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_ElementarySurface Class Reference

`#include <StepGeom_ElementarySurface.hxx>`

Inheritance diagram for StepGeom_ElementarySurface:

[legend]

## Public Member Functions
Standard_EXPORT | StepGeom_ElementarySurface ()
| Returns a ElementarySurface .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Axis2Placement3d)&aPosition)
Standard_EXPORT void | SetPosition (const Handle(StepGeom_Axis2Placement3d)&aPosition)
Standard_EXPORT Handle_StepGeom_Axis2Placement3d | Position () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepGeom_Axis2Placement3d | position

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_ElementarySurface::StepGeom_ElementarySurface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_ElementarySurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_Surface. Reimplemented in StepGeom_ConicalSurface, StepGeom_CylindricalSurface, StepGeom_DegenerateToroidalSurface, StepGeom_Plane, StepGeom_SphericalSurface, and StepGeom_ToroidalSurface.

virtual Standard_EXPORT void StepGeom_ElementarySurface::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Axis2Placement3d)& | aPosition
| ) | `[virtual]`

| Reimplemented in StepGeom_ConicalSurface, StepGeom_CylindricalSurface, StepGeom_SphericalSurface, and StepGeom_ToroidalSurface.

virtual Standard_EXPORT void StepGeom_ElementarySurface::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Handle_StepGeom_Axis2Placement3d StepGeom_ElementarySurface::Position | ( |  | ) | const

Standard_EXPORT void StepGeom_ElementarySurface::SetPosition | ( | const Handle(StepGeom_Axis2Placement3d)& | aPosition | ) |

## Field Documentation

Handle_StepGeom_Axis2Placement3d StepGeom_ElementarySurface::position`[private]`

The documentation for this class was generated from the following file:

- StepGeom_ElementarySurface.hxx